Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network76.2.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
76.2.0.0
Broadcast address
76.2.127.255
First usable
76.2.0.1
Last usable
76.2.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 4C020000 · Integer 1275199488 to 1275232255
Reverse DNS zones
0.2.76.in-addr.arpa
1.2.76.in-addr.arpa
2.2.76.in-addr.arpa
3.2.76.in-addr.arpa
4.2.76.in-addr.arpa
5.2.76.in-addr.arpa
6.2.76.in-addr.arpa
7.2.76.in-addr.arpa
8.2.76.in-addr.arpa
9.2.76.in-addr.arpa
10.2.76.in-addr.arpa
11.2.76.in-addr.arpa
12.2.76.in-addr.arpa
13.2.76.in-addr.arpa
14.2.76.in-addr.arpa
15.2.76.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001100.00000010.00000000.0000000076.2.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network01001100.00000010.00000000.0000000076.2.0.0
Broadcast01001100.00000010.01111111.1111111176.2.127.255
Split into smaller subnets/24

76.2.0.0/17 makes 128 subnets of /24.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
176.2.0.0/2476.2.0.1 to 76.2.0.25476.2.0.255254
276.2.1.0/2476.2.1.1 to 76.2.1.25476.2.1.255254
376.2.2.0/2476.2.2.1 to 76.2.2.25476.2.2.255254
476.2.3.0/2476.2.3.1 to 76.2.3.25476.2.3.255254
576.2.4.0/2476.2.4.1 to 76.2.4.25476.2.4.255254
676.2.5.0/2476.2.5.1 to 76.2.5.25476.2.5.255254
776.2.6.0/2476.2.6.1 to 76.2.6.25476.2.6.255254
876.2.7.0/2476.2.7.1 to 76.2.7.25476.2.7.255254
976.2.8.0/2476.2.8.1 to 76.2.8.25476.2.8.255254
1076.2.9.0/2476.2.9.1 to 76.2.9.25476.2.9.255254
1176.2.10.0/2476.2.10.1 to 76.2.10.25476.2.10.255254
1276.2.11.0/2476.2.11.1 to 76.2.11.25476.2.11.255254
1376.2.12.0/2476.2.12.1 to 76.2.12.25476.2.12.255254
1476.2.13.0/2476.2.13.1 to 76.2.13.25476.2.13.255254
1576.2.14.0/2476.2.14.1 to 76.2.14.25476.2.14.255254
1676.2.15.0/2476.2.15.1 to 76.2.15.25476.2.15.255254
1776.2.16.0/2476.2.16.1 to 76.2.16.25476.2.16.255254
1876.2.17.0/2476.2.17.1 to 76.2.17.25476.2.17.255254
1976.2.18.0/2476.2.18.1 to 76.2.18.25476.2.18.255254
2076.2.19.0/2476.2.19.1 to 76.2.19.25476.2.19.255254
2176.2.20.0/2476.2.20.1 to 76.2.20.25476.2.20.255254
2276.2.21.0/2476.2.21.1 to 76.2.21.25476.2.21.255254
2376.2.22.0/2476.2.22.1 to 76.2.22.25476.2.22.255254
2476.2.23.0/2476.2.23.1 to 76.2.23.25476.2.23.255254
2576.2.24.0/2476.2.24.1 to 76.2.24.25476.2.24.255254
2676.2.25.0/2476.2.25.1 to 76.2.25.25476.2.25.255254
2776.2.26.0/2476.2.26.1 to 76.2.26.25476.2.26.255254
2876.2.27.0/2476.2.27.1 to 76.2.27.25476.2.27.255254
2976.2.28.0/2476.2.28.1 to 76.2.28.25476.2.28.255254
3076.2.29.0/2476.2.29.1 to 76.2.29.25476.2.29.255254
3176.2.30.0/2476.2.30.1 to 76.2.30.25476.2.30.255254
3276.2.31.0/2476.2.31.1 to 76.2.31.25476.2.31.255254
3376.2.32.0/2476.2.32.1 to 76.2.32.25476.2.32.255254
3476.2.33.0/2476.2.33.1 to 76.2.33.25476.2.33.255254
3576.2.34.0/2476.2.34.1 to 76.2.34.25476.2.34.255254
3676.2.35.0/2476.2.35.1 to 76.2.35.25476.2.35.255254
3776.2.36.0/2476.2.36.1 to 76.2.36.25476.2.36.255254
3876.2.37.0/2476.2.37.1 to 76.2.37.25476.2.37.255254
3976.2.38.0/2476.2.38.1 to 76.2.38.25476.2.38.255254
4076.2.39.0/2476.2.39.1 to 76.2.39.25476.2.39.255254
4176.2.40.0/2476.2.40.1 to 76.2.40.25476.2.40.255254
4276.2.41.0/2476.2.41.1 to 76.2.41.25476.2.41.255254
4376.2.42.0/2476.2.42.1 to 76.2.42.25476.2.42.255254
4476.2.43.0/2476.2.43.1 to 76.2.43.25476.2.43.255254
4576.2.44.0/2476.2.44.1 to 76.2.44.25476.2.44.255254
4676.2.45.0/2476.2.45.1 to 76.2.45.25476.2.45.255254
4776.2.46.0/2476.2.46.1 to 76.2.46.25476.2.46.255254
4876.2.47.0/2476.2.47.1 to 76.2.47.25476.2.47.255254
4976.2.48.0/2476.2.48.1 to 76.2.48.25476.2.48.255254
5076.2.49.0/2476.2.49.1 to 76.2.49.25476.2.49.255254
5176.2.50.0/2476.2.50.1 to 76.2.50.25476.2.50.255254
5276.2.51.0/2476.2.51.1 to 76.2.51.25476.2.51.255254
5376.2.52.0/2476.2.52.1 to 76.2.52.25476.2.52.255254
5476.2.53.0/2476.2.53.1 to 76.2.53.25476.2.53.255254
5576.2.54.0/2476.2.54.1 to 76.2.54.25476.2.54.255254
5676.2.55.0/2476.2.55.1 to 76.2.55.25476.2.55.255254
5776.2.56.0/2476.2.56.1 to 76.2.56.25476.2.56.255254
5876.2.57.0/2476.2.57.1 to 76.2.57.25476.2.57.255254
5976.2.58.0/2476.2.58.1 to 76.2.58.25476.2.58.255254
6076.2.59.0/2476.2.59.1 to 76.2.59.25476.2.59.255254
6176.2.60.0/2476.2.60.1 to 76.2.60.25476.2.60.255254
6276.2.61.0/2476.2.61.1 to 76.2.61.25476.2.61.255254
6376.2.62.0/2476.2.62.1 to 76.2.62.25476.2.62.255254
6476.2.63.0/2476.2.63.1 to 76.2.63.25476.2.63.255254
6576.2.64.0/2476.2.64.1 to 76.2.64.25476.2.64.255254
6676.2.65.0/2476.2.65.1 to 76.2.65.25476.2.65.255254
6776.2.66.0/2476.2.66.1 to 76.2.66.25476.2.66.255254
6876.2.67.0/2476.2.67.1 to 76.2.67.25476.2.67.255254
6976.2.68.0/2476.2.68.1 to 76.2.68.25476.2.68.255254
7076.2.69.0/2476.2.69.1 to 76.2.69.25476.2.69.255254
7176.2.70.0/2476.2.70.1 to 76.2.70.25476.2.70.255254
7276.2.71.0/2476.2.71.1 to 76.2.71.25476.2.71.255254
7376.2.72.0/2476.2.72.1 to 76.2.72.25476.2.72.255254
7476.2.73.0/2476.2.73.1 to 76.2.73.25476.2.73.255254
7576.2.74.0/2476.2.74.1 to 76.2.74.25476.2.74.255254
7676.2.75.0/2476.2.75.1 to 76.2.75.25476.2.75.255254
7776.2.76.0/2476.2.76.1 to 76.2.76.25476.2.76.255254
7876.2.77.0/2476.2.77.1 to 76.2.77.25476.2.77.255254
7976.2.78.0/2476.2.78.1 to 76.2.78.25476.2.78.255254
8076.2.79.0/2476.2.79.1 to 76.2.79.25476.2.79.255254
8176.2.80.0/2476.2.80.1 to 76.2.80.25476.2.80.255254
8276.2.81.0/2476.2.81.1 to 76.2.81.25476.2.81.255254
8376.2.82.0/2476.2.82.1 to 76.2.82.25476.2.82.255254
8476.2.83.0/2476.2.83.1 to 76.2.83.25476.2.83.255254
8576.2.84.0/2476.2.84.1 to 76.2.84.25476.2.84.255254
8676.2.85.0/2476.2.85.1 to 76.2.85.25476.2.85.255254
8776.2.86.0/2476.2.86.1 to 76.2.86.25476.2.86.255254
8876.2.87.0/2476.2.87.1 to 76.2.87.25476.2.87.255254
8976.2.88.0/2476.2.88.1 to 76.2.88.25476.2.88.255254
9076.2.89.0/2476.2.89.1 to 76.2.89.25476.2.89.255254
9176.2.90.0/2476.2.90.1 to 76.2.90.25476.2.90.255254
9276.2.91.0/2476.2.91.1 to 76.2.91.25476.2.91.255254
9376.2.92.0/2476.2.92.1 to 76.2.92.25476.2.92.255254
9476.2.93.0/2476.2.93.1 to 76.2.93.25476.2.93.255254
9576.2.94.0/2476.2.94.1 to 76.2.94.25476.2.94.255254
9676.2.95.0/2476.2.95.1 to 76.2.95.25476.2.95.255254
9776.2.96.0/2476.2.96.1 to 76.2.96.25476.2.96.255254
9876.2.97.0/2476.2.97.1 to 76.2.97.25476.2.97.255254
9976.2.98.0/2476.2.98.1 to 76.2.98.25476.2.98.255254
10076.2.99.0/2476.2.99.1 to 76.2.99.25476.2.99.255254
10176.2.100.0/2476.2.100.1 to 76.2.100.25476.2.100.255254
10276.2.101.0/2476.2.101.1 to 76.2.101.25476.2.101.255254
10376.2.102.0/2476.2.102.1 to 76.2.102.25476.2.102.255254
10476.2.103.0/2476.2.103.1 to 76.2.103.25476.2.103.255254
10576.2.104.0/2476.2.104.1 to 76.2.104.25476.2.104.255254
10676.2.105.0/2476.2.105.1 to 76.2.105.25476.2.105.255254
10776.2.106.0/2476.2.106.1 to 76.2.106.25476.2.106.255254
10876.2.107.0/2476.2.107.1 to 76.2.107.25476.2.107.255254
10976.2.108.0/2476.2.108.1 to 76.2.108.25476.2.108.255254
11076.2.109.0/2476.2.109.1 to 76.2.109.25476.2.109.255254
11176.2.110.0/2476.2.110.1 to 76.2.110.25476.2.110.255254
11276.2.111.0/2476.2.111.1 to 76.2.111.25476.2.111.255254
11376.2.112.0/2476.2.112.1 to 76.2.112.25476.2.112.255254
11476.2.113.0/2476.2.113.1 to 76.2.113.25476.2.113.255254
11576.2.114.0/2476.2.114.1 to 76.2.114.25476.2.114.255254
11676.2.115.0/2476.2.115.1 to 76.2.115.25476.2.115.255254
11776.2.116.0/2476.2.116.1 to 76.2.116.25476.2.116.255254
11876.2.117.0/2476.2.117.1 to 76.2.117.25476.2.117.255254
11976.2.118.0/2476.2.118.1 to 76.2.118.25476.2.118.255254
12076.2.119.0/2476.2.119.1 to 76.2.119.25476.2.119.255254
12176.2.120.0/2476.2.120.1 to 76.2.120.25476.2.120.255254
12276.2.121.0/2476.2.121.1 to 76.2.121.25476.2.121.255254
12376.2.122.0/2476.2.122.1 to 76.2.122.25476.2.122.255254
12476.2.123.0/2476.2.123.1 to 76.2.123.25476.2.123.255254
12576.2.124.0/2476.2.124.1 to 76.2.124.25476.2.124.255254
12676.2.125.0/2476.2.125.1 to 76.2.125.25476.2.125.255254
12776.2.126.0/2476.2.126.1 to 76.2.126.25476.2.126.255254
12876.2.127.0/2476.2.127.1 to 76.2.127.25476.2.127.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses